Get one audited branch: latest audit and finding counts.
curl --request GET \
--url https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/cyber/branches/{branch_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/cyber/branches/{branch_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/cyber/branches/{branch_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/cyber/branches/{branch_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/cyber/branches/{branch_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/cyber/branches/{branch_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/cyber/branches/{branch_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"repository": "<string>",
"branch": "<string>",
"ref_kind": "branch",
"release": true,
"state": "running",
"posture": "confirmed",
"latest_audit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latest_audit_at": "2023-11-07T05:31:56Z",
"last_full_scan_at": "2023-11-07T05:31:56Z",
"severity_counts": {
"critical": 123,
"high": 123,
"medium": 123,
"low": 123,
"info": 123
},
"confirmed_count": 123,
"needs_verification_count": 123,
"updated_at": "2023-11-07T05:31:56Z",
"baseline_sha": "<string>",
"open_count": 123,
"on_push": true,
"active_audit": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "static_running",
"head_sha": "<string>",
"base_sha": "<string>",
"candidate_count": 123,
"confirmed_count": 123,
"failure_message": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z"
},
"latest_audit": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "static_running",
"head_sha": "<string>",
"base_sha": "<string>",
"candidate_count": 123,
"confirmed_count": 123,
"failure_message": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z"
},
"status_counts": {
"confirmed": 123,
"needs_verification": 123,
"false_positive": 123,
"fixed": 123,
"fixed_undetected": 123,
"dismissed": 123,
"total": 123
}
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}cyber
Get one audited branch
Use latest_audit.id with cyber.audits.get.
GET
/
v1
/
workspaces
/
{workspace_id}
/
cyber
/
branches
/
{branch_id}
Get one audited branch: latest audit and finding counts.
curl --request GET \
--url https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/cyber/branches/{branch_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/cyber/branches/{branch_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/cyber/branches/{branch_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/cyber/branches/{branch_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/cyber/branches/{branch_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/cyber/branches/{branch_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/cyber/branches/{branch_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"repository": "<string>",
"branch": "<string>",
"ref_kind": "branch",
"release": true,
"state": "running",
"posture": "confirmed",
"latest_audit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latest_audit_at": "2023-11-07T05:31:56Z",
"last_full_scan_at": "2023-11-07T05:31:56Z",
"severity_counts": {
"critical": 123,
"high": 123,
"medium": 123,
"low": 123,
"info": 123
},
"confirmed_count": 123,
"needs_verification_count": 123,
"updated_at": "2023-11-07T05:31:56Z",
"baseline_sha": "<string>",
"open_count": 123,
"on_push": true,
"active_audit": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "static_running",
"head_sha": "<string>",
"base_sha": "<string>",
"candidate_count": 123,
"confirmed_count": 123,
"failure_message": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z"
},
"latest_audit": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "static_running",
"head_sha": "<string>",
"base_sha": "<string>",
"candidate_count": 123,
"confirmed_count": 123,
"failure_message": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z"
},
"status_counts": {
"confirmed": 123,
"needs_verification": 123,
"false_positive": 123,
"fixed": 123,
"fixed_undetected": 123,
"dismissed": 123,
"total": 123
}
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}Scope:
cyber:branches:read. See API Tokens.Authorizations
Path Parameters
Response
OK
One branch: latest audit, active audit and finding counts.
Was this page helpful?